| GL Studio C++ Runtime API

Public Member Functions | Protected Attributes | List of all members
GlsDisplayList Class Reference

`#include <gls_display_list.h>`

## Public Member Functions
GlsDisplayList & | operator= (const GlsDisplayList &oldClass)
void | Invalidate ()
void | Allocate ()
void | Start ()
void | End ()
void | Invoke ()
bool | Valid ()
void | Valid (const bool &val)
bool | UseList ()
void | UseList (const bool &val)

## Protected Attributes
bool | _valid
bool | _useList
unsigned int | _handle

## Detailed Description

The GlsDisplayList class. Manages an OpenGL display list.

## Member Function Documentation

## ◆ Allocate()

void Allocate | ( |  | ) |
| inline

Allocate an OpenGL display list, deallocating any existing list

## ◆ End()

void End | ( |  | ) |
| inline

Stop writing into the display list and save it

## ◆ Invalidate()

void Invalidate | ( |  | ) |
| inline

Invalidate the display list. An object with an invalid display list should reinvoke its draw code to rebuild the display list. Also deallocates the OpenGL list.

## ◆ Invoke()

void Invoke | ( |  | ) |
| inline

Draw what's in the display list

## ◆ operator=()

GlsDisplayList & operator= | ( | const GlsDisplayList & | oldClass | ) |
| inline

Assignment operator

Parameters

  oldClass | The list to copy from.

Returns
  The resulting list (this).

## ◆ Start()

void Start | ( |  | ) |
| inline

Start writing into the display list

## ◆ UseList() [1/2]

bool UseList | ( |  | ) |
| inline

Returns
  True if this display list is enabled.

## ◆ UseList() [2/2]

void UseList | ( | const bool & | val | ) |
| inline

Set whether or not this display list is enabled.

Parameters

  val | The new enabled state of the list.

## ◆ Valid() [1/2]

bool Valid | ( |  | ) |
| inline

Returns
  true if the list is valid

## ◆ Valid() [2/2]

void Valid | ( | const bool & | val | ) |
| inline

Set whether or not the list is valid.

Note
  Be careful when setting this to true. Make sure the list really is valid.

Parameters

  val | The new validity of the list.

## Member Data Documentation

## ◆ _handle

unsigned int _handle
| protected

The OpenGL list handle for this list

## ◆ _useList

bool _useList
| protected

True if this list is enabled

## ◆ _valid

bool _valid
| protected

True if this list is valid

The documentation for this class was generated from the following file:

- gls_display_list.h